#include <stdio.h>
#include "header.h"

#define modulo(x) ((x >= 0) ? (x) : (-x))

int archivolimites(struct nodo **p, char *arch, int exmax, int eymax) {
	FILE *f;
	struct nodo *q;
	int cant = 0;
	
	if(!(*p)) return 0;
	
	f = fopen(arch, "w");
	if(!f) return -1;
	
	q = *p;
	while(q) {
		if((modulo(q->e.errx) > exmax) || (modulo(q->e.erry) > eymax)) {
			fprintf(f, "%d,%f,%f\n", q->e.frame, q->e.errx, q->e.erry);
			cant++;
		}
		q = q->next;
	}
	fclose(f);
	return cant;
}
