#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "header.h"

void guardar_temperatura(int num_sensor, int *ptr_temperatura, struct tlista **lista) {
	static int muestras = 0;
	struct tlista *q;
	
	if(num_sensor == 0) {
		muestras = 0;
		archivar_temperatura(lista, "archivo");
	} else {
		q = malloc(sizeof(struct tlista));
		if(!q) return;
	
		q->num_sensor = num_sensor;
		q->temperatura = *ptr_temperatura;
		queue(lista, q);
		muestras++;
		if(muestras == 1000) archivar_temperatura(lista, "archivo");
	}
	
	return;
}

void archivar_temperatura(struct tlista **lista, char *nombre_archivo) {
	struct tlista *q;
	char arch[50];
	FILE *fp[3];
	int i;
	
	for(i = 0; i < 3; i++) {
		sprintf(arch, "%s_%d.dat", nombre_archivo, i+1);
		fp[i] = fopen(arch, "w");
	}
	
	for(q = *lista; q; q = q->next) {
		fprintf(fp[q->num_sensor - 1], "%d\n", q->temperatura);
		pop(lista, q);
	}
	
	for(i = 0; i < 3; i++) {
		fclose(fp[i]);
	}
}
