#include <stdlib.h>
#include "header.h"

void pop(struct tlista **h, struct tlista *q) {
	struct tlista *p;
	
	if(!(*h)) return; // lista vacia
	else if(*h == q) *h = NULL; // unico nodo
	else if(q->last) { // no es el primer nodo
		p = q->last;
		p->next = q->next;
		q->next->last = p;
	} else { // primer nodo
		q->next->last = NULL;
		*h = q->next;
	}
	free(q);
	return;
}

void queue(struct tlista **h, struct tlista *q) {
	struct tlista *p;
	
	if(!(*h)) {
		*h = q;
		q->next = NULL;
		q->last = NULL;
	} else {
		p = *h;
		while(p->next) p = p->next;
		p->next = q;
		q->next = NULL;
		q->last = p;
	}
	return;
}
