#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <errno.h>
#include "header.h"

static void usage(char *n) {
	printf("%s: uso:\n", n);
	printf("blabla\n\n");
	exit(EXIT_FAILURE);
}

int main(int argc, char *argv[]) {
	int flagsalida = 0;
	int ret = 0;
	struct nodo *h = NULL;
	
	if(argc < 5) {
		fprintf(stderr, "Cantidad erronea de argumentos!\n");
		usage(argv[0]);
	} else if(argc == 6) {
		fprintf(stderr, "Indique archivo de salida\n");
		usage(argv[0]);
	} else if(argc == 7) {
		if(!strcmp(argv[5], "-o")) flagsalida = 1;
		else {
			fprintf(stderr, "Argumento invalido\n");
			usage(argv[0]);
		}
	}
	
	if(comparararchivos(&h, argv[1], argv[2]) < 0) {
		perror("Error en comparararchivos");
	}
	if(flagsalida) {
		ret = archivolimites(&h, argv[6], atoi(argv[3]), atoi(argv[4]));
	} else {
		ret = archivolimites(&h, "output.csv", atoi(argv[3]), atoi(argv[4]));
	}
	if(ret < 0) perror("Error en archivolimites");
	return 0;
}
